Installation dependency problem openni_tracker for Indigo (on Ubuntu 14.04 Trusty)

asked 2015-04-20 05:49:28 -0500

berat gravatar image

Hi,

I try to install openni_tracker for Indigo(on ubuntu 14.04 [trusty] to use with Kinect). I know Nite library is not available as .deb. A friend suggested to me to add the precise main respository(because Nite is available) and clone openni_tracker from git repo (as written below), but in a certain point it gives me an error:

Adding precise main to the sources:

sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu precise main" > /etc/apt/sources.list.d/ros-latest.list' 
sudo aptitude update

creating openni_tracker directory

mkdir -p ~/openni_tracker/src
cd ~/openni_tracker/src
catkin_init_workspace
cd  ~/openni_tracker
catkin_make 
source ~/openni_tracker/devel/setup.bash
echo "source ~/openni_tracker/devel/setup.bash" >> ~/.bashrc

Cloning openni_tracker from github repo

git clone https://github.com/uoa-robotics/openni_tracker.git -b indigo-devel src/openni_tracker

Until here i don't have any problem. Then i call

 rosdep install openni_tracker

and it gives me the error:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies:

openni_tracker: no definition of [libopenni-nite-dev] for OS version [trusty]

I installed libopenni-nite-dev via synaptic, it's installed, i can see it. But it still gives me the error. How can i resolve this problem? Thanks

edit retag flag offensive close merge delete